import os

from gensim.models import KeyedVectors


dir_path = os.path.dirname(os.path.realpath(__file__))
model = KeyedVectors.load_word2vec_format(
    os.path.join(dir_path, './webcrawl-v1-300d.w2vformat.txt'))

book = model['китоб']
print(book)
print(book.shape)

print(model.similarity('китоб', 'ручка'))
print(model.similarity('чиройли', 'гўзал'))
